# Class CIM_J2eeResource
extends CIM_SystemResource

The J2eeResource class is a base class for all managed object types that represent J2EE resources. J2EE resources are resources that are utilized by the J2EE server to provide the J2EE standard services required by the J2EE platform architecture. The J2EEResource class has several subclasses that do not add any new properties. The option of using a type property to identify the different resource types while doing away with the numerous empty subclasses was not chosen because the subclasses, when enhanced by vendor specific extensions are significantly different from each other.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_SystemResource
|
+--CIM_J2eeResource

## Direct Known Subclasses

CIM_J2eeJavaMailResource
CIM_J2eeJCAResource
CIM_J2eeJDBCResource
CIM_J2eeJMSResource
CIM_J2eeJNDIResource
CIM_J2eeJTAResource
CIM_J2eeRMI_IIOPResource
CIM_J2eeURLResource

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

The J2eeResource class is a base class for all managed object types that represent J2EE resources. J2EE resources are resources that are utilized by the J2EE server to provide the J2EE standard services required by the J2EE platform architecture. The J2EEResource class has several subclasses that do not add any new properties. The option of using a type property to identify the different resource types while doing away with the numerous empty subclasses was not chosen because the subclasses, when enhanced by vendor specific extensions are significantly different from each other.

UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InstanceID | string |
Description | string | InstanceID identifies a unique instance of a J2ee Resource. In order to ensure uniqueness, the value of InstanceID MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
Key | boolean | true
ModelCorrespondence | string | CIM_J2eeResource.Name
Override | string | InstanceID
Name | string |
Description | string | The name of a J2EE Resource. The name MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.1 objectName|V1.0
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_J2eeResource.InstanceID
Override | string | Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
ImplementationInfo | uint16 | CIM_SystemResource
InstallDate | datetime | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Shareable | boolean | CIM_SystemResource
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement